[PATCH 3/3] configure: do not quote EXTRA_ARGS



Without this using ./autogen.sh --system results in a funny definition
of SYSCONFDIR:
Searching for certs in /usr --sysconfdir=/etc --localstatedir=/var --libdir=/usr/lib64/etc/pki

Signed-off-by: Ján Tomko <jtomko redhat com>
---
 autogen.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/autogen.sh b/autogen.sh
index 7e575d9..f614d88 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -47,7 +47,7 @@ autoreconf --verbose --force --install || exit 1
 cd "$olddir"
 if test -z "$NOCONFIGURE" ; then
         echo "Running ./configure with $EXTRA_ARGS $@"
-        $srcdir/configure "$EXTRA_ARGS" "$@" || exit 1
+        $srcdir/configure $EXTRA_ARGS "$@" || exit 1
 
         if test "$1" = "--help" ; then exit 0 else
                 echo "Now type 'make' to compile $PKG_NAME" || exit 1
-- 
2.20.1



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]